import React from "react";
import { useDispatch, useSelector } from "react-redux";
export function useLoadingStatus(identifier = "global") {
    return useSelector((state) => state.loading[identifier] > 0);
}
export function useModuleAction(actionCreator, ...deps) {
    const dispatch = useDispatch();
    // No need add dispatch to dep list, because it is always fixed
    return React.useCallback(() => dispatch(actionCreator(...deps)), deps);
}
//# sourceMappingURL=hooks.js.map