import { StrictEffect } from "redux-saga/effects";
import { Effect, spawn, delay } from "redux-saga/effects";
import { Action } from "./reducer";
declare type SagaGenerator<RT> = Generator<Effect<any>, RT, any>;
declare type UnwrapReturnType<R> = R extends SagaGenerator<infer RT> ? RT : R extends Promise<infer PromiseValue> ? PromiseValue : R;
export declare type SagaIterator = IterableIterator<StrictEffect> | Iterator<StrictEffect, any, any>;
export declare function call<Args extends any[], R>(fn: (...args: Args) => R, ...args: Args): SagaGenerator<UnwrapReturnType<R>>;
export declare function put<T extends Action<any>>(action: T): SagaGenerator<T>;
export { spawn, delay };
